byte TP = 0b10101010; // Every other port receives the inverted signal

void setup() {

DDRF = 0b11111111; // Set all analog ports to be outputs

// Initialize Timer1

noInterrupts(); // Disable interrupts

TCCR1A = 0; //Timer/Counter1 Control Register A – TCCR1A

TCCR1B = 0; //Timer/Counter1 Control Register B – TCCR1B

TCNT1 = 0; // Count Timer 1

OCR1A = 200; // Set compare register (16MHz / 200 = 80kHz square wave -> 40kHz full wave)

TCCR1B |= (1 << WGM12); // CTC mode

TCCR1B |= (1 << CS10); // Set prescaler to 1 ==> no prescaling

TIMSK1 |= (1 << OCIE1A); // Enable compare timer interrupt

interrupts(); // Enable interrupts

}

ISR(TIMER1_COMPA_vect) {

PORTF = TP; // Send the value of TP to the outputs

TP = ~TP; // Invert TP for the next run

}

void loop() {

// Nothing left to do here :)

}
